ResourceBase (Tomcat API Documentation)
Keywords: org.apache.catalina.deploy.ResourceBase class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class ResourceBase

    java.lang.Object
      org.apache.catalina.deploy.ResourceBase

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ContextEjb, ContextHandler, ContextLocalEjb, ContextResource, ContextResourceEnvRef, ContextResourceLink, ContextService

    public class ResourceBase

extends java.lang.Object
implements java.io.Serializable

Representation of an Context element

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Peter Rossbach (pero@apache.org)
See Also:
  Serialized Form

Field Summary
`protected NamingResources` | `resources` The NamingResources with which we are associated (if any).

Constructor Summary
`ResourceBase()`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`NamingResources` | `getNamingResources()`
`java.lang.Object` | `getProperty(java.lang.String name)` Return a configured property.
`java.lang.String` | `getType()`
`java.util.Iterator` | `listProperties()` List properties.
`void` | `removeProperty(java.lang.String name)` remove a configured property.
`void` | `setDescription(java.lang.String description)`
`void` | `setName(java.lang.String name)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Set a configured property.
`void` | `setType(java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resources

    protected NamingResources resources

  The NamingResources with which we are associated (if any).

Constructor Detail

### ResourceBase

    public ResourceBase()

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Return a configured property.

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Set a configured property.

### removeProperty

    public void removeProperty(java.lang.String name)

  remove a configured property.

### listProperties

    public java.util.Iterator listProperties()

  List properties.

### getNamingResources

    public NamingResources getNamingResources()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.